{
	"name": "form/nc/nc-input-form/nc-input-form.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "nc-input-form"
		},
		"element": [
			{
				"component": "nc-modal",
				"attribute": {
					":cancel-text": "hdr.link_grid.cancel",
					":header": "hdr.link_grid.header",
					":ok-text": "hdr.link_grid.ok",
					":show": "rec.link_grid.show",
					"v-on:modal-cancel": "linkDialog('cancel', $event)",
					"v-on:modal-ok": "linkDialog('ok', $event)"
				}
			},
			{
				"component": "nc-row",
				"attribute": {
					"class": ["nc-center-v", "nc-move-down"]
				},
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-center-v", "nc-center-h", "nc-on-top"],
							"width": "auto"
						},
						"element": [
							{
								"component": "nc-checkbox",
								"text": "Synchronize",
								"attribute": {
									"model": "rec.sync",
									"hdr": "hdr.synchronize",
									"disabled": "disabled",
									"v-on:change": "setSync(rec.sync)"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "auto"
						},
						"element": [
							{
								"component": "nc-span",
								"text": "component: '{{inputComponent}}'"
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-center-v", "nc-end-h", "nc-on-top"],
							"width": "8em"
						},
						"element": [
							{
								"component": "nc-button",
								"attribute": {
									":disabled": "saveEnabled",
									"class": ["basic"],
									"style": "min-width: 8em",
									"v-on:click": "newRecord"
								},
								"element": [
									{
										"component": "nc-icon",
										"attribute": {
											"icon": "plus"
										}
									},
									{
										"component": "nc-translate",
										"text": "Add",
										"attribute": {
											"model": "hdr.new_record"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-center-v", "nc-end-h", "nc-on-top"],
							"width": "18em"
						},
						"element": [
							{
								"component": "nc-button",
								"attribute": {
									":disabled": "!previousEnabled",
									"class": ["basic", "small"],
									"style": "width:4em",
									"v-on:click": "arrow('first')"
								},
								"element": [
									{
										"component": "nc-icon",
										"attribute": {
											"icon": "arrow-alt-to-top"
										}
									}
								]
							},
							{
								"component": "nc-button",
								"attribute": {
									":disabled": "!previousEnabled",
									"class": ["basic", "small"],
									"style": "width:4em",
									"v-on:click": "arrow('previous')"
								},
								"element": [
									{
										"component": "nc-icon",
										"attribute": {
											"icon": "arrow-alt-up"
										}
									}
								]
							},
							{
								"component": "nc-button",
								"attribute": {
									":disabled": "!nextEnabled",
									"class": ["basic", "small"],
									"style": "width:4em",
									"v-on:click": "arrow('next')"
								},
								"element": [
									{
										"component": "nc-icon",
										"attribute": {
											"icon": "arrow-alt-down"
										}
									}
								]
							},
							{
								"component": "nc-button",
								"attribute": {
									":disabled": "!nextEnabled",
									"class": ["basic", "small"],
									"style": "width:4em",
									"v-on:click": "arrow('last')"
								},
								"element": [
									{
										"component": "nc-icon",
										"attribute": {
											"icon": "arrow-alt-to-bottom"
										}
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-center-v", "nc-end-h", "nc-on-top"],
							"width": "21em"
						},
						"element": [
							{
								"component": "nc-button",
								"attribute": {
									":disabled": "!saveEnabled",
									"class": ["nc-margin-right"],
									"style": "min-width: 9em",
									"v-on:click": "callServer('revert')"
								},
								"element": [
									{
										"component": "nc-icon",
										"attribute": {
											"icon": "history"
										}
									},
									{
										"component": "nc-translate",
										"text": "Revert",
										"attribute": {
											"model": "hdr.revert"
										}
									}
								]
							},
							{
								"component": "nc-button",
								"attribute": {
									":disabled": "!saveEnabled",
									"style": "min-width: 9em",
									"v-on:click": "callServer('save')"
								},
								"element": [
									{
										"component": "nc-icon",
										"attribute": {
											"icon": "save"
										}
									},
									{
										"component": "nc-translate",
										"text": "Save",
										"attribute": {
											"model": "hdr.save"
										}
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-tab",
						"attribute": {
							"model": "rec.input_tab",
							"v-on:change": "tabClicked"
						},
						"element": [
							{
								"component": "component",
								"attribute": {
									":is": "rec.input_component",
									"v-if": "rec && rec.input_component"
								}
							}
						]
					}
				]
			}
		]
	}
}
